/* Qualetrucking, LLC
matthew flom
Feb.16.19 //start date
Feb.24.19 //last updated */

/*Google font Montserrat weights: 300, 400, 600 */
@import url('https://fonts.googleapis.com/css?family=Montserrat:300,400,600');

/* remove default margin and padding */
*{
    margin: 0;
    padding: 0;
}

body{
    font-family: 'Montserrat', Tahoma, 'Segoe UI', sans-serif;
    color: rgb(83, 83, 83); /* dark gray */
}

/* background colors */
.red-bg{
    background-color: #ed1313; /* quale red */
    color: white;
}

.gray-bg{
    background-color: rgb(245, 245, 245); /* gray */
}

.lightgray-bg{
    background-color: rgb(250, 250, 250); /* lightgray */
}

.darkgray-bg{
    background-color: gray; /* darkgray */
}

/*text color red*/
.red_txt{
    color: #ed1313;
    
}

/* heading and p sizes */
h1, h2, h3, h4, h5, h6{
    padding: 0.5em 0;
}

h1{
    font-size: 2.25em;
    color: #ed1313; /* quale red */
}

h2{
    font-size: 1.25em;
}

h3{
    font-size: 1.15em;
    color: #ed1313; /* quale red */
    text-align: center;
}

p{
    line-height: 1.5em;
}

.disabled{
    opacity: 0.5;
    background-color: lightgray;
}

/* container sets page width to 60% and centers page */
.container{
    width: 65%;
    margin: 0 auto;
}

main{
    padding: 2em 0;
}

/* common attributes styled via classes */
.padding1{
    padding: 0.25em 0;
}

.padding2{
    padding: 2em 0;
}

.padding4{
    padding: 4em 0;
}

.padding6{
    padding: 6em 0;
}

.padding8{
    padding: 8em 0;
}

.margin2{
    margin: 2em 0;
}

.margin{
    margin: 0 auto 0 5em;
}

.boxshadow{
    box-shadow: 0 1px 10px lightgray;
}

.imgSmall{
    height: 25px;
}

.imgMedium{
    height: 120px;
}

.imgLarge{
    height: 300px;
}

.indent{
    margin-left: 2em;
}

/* spaces phone number in red header */
.red-bg div p{
    letter-spacing: 0.05em;
}

.flex, .desktopflex{ /* only used for minor flex */
    display: flex;
    justify-content: space-between;
    align-items: center;
}

.grid{ /* single row grid */
    display: -ms-grid;
    display: grid;
    grid-template-columns: 1fr 1fr 1fr 1fr;
    grid-gap: 1.5em;
}

.gridcol{ /*single col grid */
    display: grid;
    grid-template-columns: 1fr;
    grid-template-rows: auto auto 1fr;
}

.grid3 div, .grid3 a{
    padding: 0 2em;
    margin: 0.5em;
    padding-bottom: 2em;
}

.grid3 div img{
    align-self: center;
}

.grid2{ /* double column grid */
    display: -ms-grid;
    display: grid;
    grid-template-columns: 1fr 1fr;
    grid-gap: 1.5em;
    justify-content: space-evenly;
}

/* used on careers page and index */
.grid3{ /* three column grid */
    display: -ms-grid;
    display: grid;
    grid-template-columns: 1fr 1fr 1fr;
    grid-column-gap: 0.25em;
}

.gridcol{
    justify-items: center;
}

/* footer grid */
.grid2 div, .grid div{
    display: flex;
    justify-content: center;
}

.grid div{ /* do not center */
    justify-content: left;
}

.grid2 div img, .grid div img, div.flex img{
    margin-right: 0.5em;
}

.hide-desktop{
    display: none;
}

/* navigation styles */
nav > ul{
    display: flex;
    justify-content: center;
    list-style-type: none;
}

nav > ul > a > li{
    padding: 2em 6em;
    letter-spacing: 0.05em;
}

/* nav link hover styles, & button hovers */
nav > ul > a > li:hover, #cta-btn:hover, #apply:hover, #submit:hover{
    background-color: rgba(237, 19, 19, 0.5); /* quale red transparent */
    transition: 0.25s ease-in-out;
    color: white;
    border-bottom: 1px solid #ed1313;
}

/* remove style from all links */
a{
    text-decoration: none;
    color: inherit;
}

#wind_icon{
    margin-left: 1em;
}

/* index */
.closing-statement{
    background-color: rgba(255, 233, 38, 0.521);
    margin-top: -2em;
    margin-bottom: 2em;
    padding: 2em 0;
}

.closing-statement h2{
    text-transform: uppercase;
    font-size: 1.5em;
}

.closing-statement p#closing-statement-exit-btn{
    text-align: right;
    z-index: 1;
    right: 2.5%;
    position: absolute;
}

.index-about{
    padding: 6em 0;
}

.get-in-touch-cta p{
    width: 80%;
}

#apply_today_btn{
    background-color: rgb(230, 230, 230);
    box-shadow: 0 1px 5px lightgray;
    padding: 0.5em 0;
    margin-top: 1em;
    text-decoration: none;
    font-weight: bold;
    color: rgb(87, 87, 87);
}

#apply_today_btn:hover{
    box-shadow: none;
    color: lightgray;
}

/* button styles for both the apply button and the get in touch button */
#cta-btn, #apply{
    border: none;
    width: 50%;
    padding: 2em 0;
    margin: 2em 0;
    color: #ed1313; /* quale red */
    box-shadow: 0px 1px 5px gray;
    background-color: white;
    border-radius: 2px;
    font-family: inherit;
    border: 1px solid black;
    font-weight: 600;
    letter-spacing: 0.1em;
    cursor: pointer;
}

.cinfosection > a:hover{
    border-bottom: 1px solid rgb(245, 245, 245);
}

/* services */
table{
    width: 100%;
}

tr:nth-child(odd){
    background-color: rgb(245, 245, 245); /* gray */
}

th{
    padding: 2em 0;
}

th h3{
color: rgb(83, 83, 83); /* dark gray */
}

td{
    padding: 1em 0;
    text-align: center;
}

/* contact forms */


/* careers */

.apply-btn{
    width: 50%;
    min-width: 50%;
    display: block;
    text-align: center;
    margin: 0 0.75em;
}

/* .trucking-img{
    background-image: url("../assets/trucking.jpg");
    color: black;
}

.trucking-img div{
    background-color: rgba(255, 255, 255, 0.75);
    background-size: cover;
    margin: 0 auto;
} */

.apply-btn h4{
    margin: 0 0.75em;
}

.indent a{
    text-decoration: underline;
    color: #4b92fd;
}

#apply{
    width: 80%;
}

footer a{
    font-style: italic;
}

@media only screen and (min-width: 1440px){
    .imgLarge{
        width: 35%;
        height: auto;
    }

    #cta-btn{
        width: 35%;
    }
}

@media only screen and (max-width: 1300px){
    .container{
        width: 80%;
    }

    .featured-jobs div{
        width: 90%;
        margin: 0 auto;
    }

    .index-about .imgMedium{
        width: 80%;
        height: 100%;
        margin: 0 auto;
        padding: 0;
    }
}

/* mobile smartphone display */
@media only screen and (max-width: 950px){
    h1{
        font-size: 1.5em;
        color: #ed1313; /* quale red */
    }

    .hide-mobile{
        display: none;
    }

    .hide-desktop{
        display: block;
    }

    /* container sets page width to 100% on smaller displays */
    .container{
        width: 90%;
        margin: 0 auto;
    }

    /* hides phone number in red header */
    .red-bg .hide-desktop{
        display: none;
    }
    
    /* navigation styles */
    div.flex.padding2{
        padding: 1em 0;
    }

    nav > ul{
        display: none;
        position: fixed;
        z-index: 10;
        width: 60%;
        height: 100%;
        top: 0;
        right: 0;
        background-color: lightgray;
    }

    nav > ul > a > li{
        background-color: #ed131386;
        color: white;
        margin: 0;
        padding: 2em 2em;
    }

    nav > ul > li:nth-child(1){
        padding: 2em;
    }

    /* hamburuger icon styles */

    #hamburger-icon div{
        background-color: black;
        width: 40px;
        height: 4px;
        margin: 0.5em 0;
        border-radius: 1.5px;
    }

    /* index */
    .index-about{
        padding: 2em 0;
        display: block;
    }

    .index-about > img{
        margin-bottom: 2em;
        text-align: center;
    }

    .get-in-touch-cta{
        text-align: center;
    }

    .get-in-touch-cta p{
        width: 100%;
    }

    #cta-btn, .apply-btn{
        width: 100%;
    }

    .grid3{
        display: block;
    }

    .grid3 img{
        margin-top: 1em;
    }

    .grid2{
        display: grid;
        grid-template-columns: 1fr;
        padding: 2em 0;
    }

    .grid2 div{
        justify-content: left;
    }

    /* services */
    table{
        margin-bottom: 2em;
    }

    td{
        width: 50%;
    }

    /* careers */
    .desktopflex{
        display: block;
    }

    .apply-btn{
        min-width: 45%;
        max-width: 100%;
        display: block;
        margin: 0;
    }

    .featured-jobs{
        display: block;
    }

    /* .trucking-img{
        width: 80%;
    } */

    .featured-jobs{
        display: block;
    }

    /* contact */
    .grid{
        grid-template-columns: 1fr;
    }
}


/* IE10+ specific styles go here */ 
@media all and (-ms-high-contrast: none), (-ms-high-contrast: active) {
    main > div > section{
        width: 50%;
    }

    main{
        padding: 4em 0;
    }

    .grid3, .grid2, .grid{
        display: flex;
        justify-content: space-evenly;
    }

    .grid2 div, .grid div{
        width: 50%;
    }

    .grid3 a, .gridcol{
        text-align: center;
        max-width: 33%;
    }

    .grid3 p{
        text-align: left;
    }

    /*careers page */
    section.margin2{
        width: 100%;
    } 
}